Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class SanityChecker

    java.lang.Object
      ix.iplan.SanityChecker

    public class SanityChecker

extends java.lang.Object

A plan-checker that looks for inconsistencies in the details.

This class was inspired by the sanity-checker in O-Plan.

See Also:
  `AutoTester`, `PlanCheckingSimulator`

Nested Class Summary
`protected class` | `SanityChecker.NodeEndConnectivityChecker<L>`
`protected static class` | `SanityChecker.ReachableWithin<T,L>`

Field Summary
`protected static Symbol` | `FALSE`
`protected Ip2ModelManager` | `mm`
`protected PlanCheckingSimulator` | `sim`
`protected static Symbol` | `TRUE`

Constructor Summary
`SanityChecker(PlanCheckingSimulator sim)` Creates a sanity-checker for the specified similator.

Method Summary
`void` | `checkExpansionRefinements()` Checks whether the correct expansion refinement was recorded for each expanded activity in the plan.
`void` | `checkForMaximalNodes()`
`void` | `checkForMinimalNodes()`
`void` | `checkNodesVsNodeEnds()`
`void` | `checkOrderingLinkConnectivity()`
`void` | `checkOrderingLinkConnectivityBackward()`
`void` | `checkOrderingLinkConnectivityForward()`
`void` | `checkPlan()`
`void` | `checkStartAndFinishTimes()`
`void` | `checkTemporalConstraintConnectivity()`
`void` | `checkTemporalConstraintConnectivityForward()`
`void` | `checkTemporalConstraintsAgainstLinks()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRUE

    protected static final Symbol TRUE

### FALSE

    protected static final Symbol FALSE

### sim

    protected PlanCheckingSimulator sim

### mm

    protected Ip2ModelManager mm

Constructor Detail

### SanityChecker

    public SanityChecker(PlanCheckingSimulator sim)

  Creates a sanity-checker for the specified similator.

Method Detail

### checkPlan

    public void checkPlan()

### checkNodesVsNodeEnds

    public void checkNodesVsNodeEnds()

### checkExpansionRefinements

    public void checkExpansionRefinements()

  Checks whether the correct expansion refinement was recorded for each expanded activity in the plan.

### checkForMinimalNodes

    public void checkForMinimalNodes()

### checkForMaximalNodes

    public void checkForMaximalNodes()

### checkStartAndFinishTimes

    public void checkStartAndFinishTimes()

### checkOrderingLinkConnectivity

    public void checkOrderingLinkConnectivity()

### checkOrderingLinkConnectivityForward

    public void checkOrderingLinkConnectivityForward()

### checkOrderingLinkConnectivityBackward

    public void checkOrderingLinkConnectivityBackward()

### checkTemporalConstraintConnectivity

    public void checkTemporalConstraintConnectivity()

### checkTemporalConstraintConnectivityForward

    public void checkTemporalConstraintConnectivityForward()

### checkTemporalConstraintsAgainstLinks

    public void checkTemporalConstraintsAgainstLinks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD